Bug 1240196 - Unable to pause georep session if one of the nodes in cluster is not part of master volume.
Summary: Unable to pause georep session if one of the nodes in cluster is not part of ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ---
: RHGS 3.1.0
Assignee: Kotresh HR
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks: 1202842 1240229 1240616
TreeView+ depends on / blocked
 
Reported: 2015-07-06 07:48 UTC by Arthy Loganathan
Modified: 2015-07-29 05:09 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.7.1-9
Doc Type: Bug Fix
Doc Text:
Previously, a node which was part of a cluster but not of master volume was not ignored in all the validations done during geo-rep pause. Due to this, the geo-rep pause failed when one or more nodes of cluster were not part of master volume. With this release, the nodes that are part of cluster and not part of master volume are ignored in all the validations done during geo-rep pause. Geo-rep pause now works even when one or more nodes in cluster are not part of master volume
Clone Of:
: 1240229 (view as bug list)
Environment:
Last Closed: 2015-07-29 05:09:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description Arthy Loganathan 2015-07-06 07:48:02 UTC
Description of problem:
Unable to pause georep session if one of the nodes in cluster is not part of master volume.

Version-Release number of selected component (if applicable):
glusterfs-3.7.1-7.el6rhs.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Add 3 nodes in the cluster.
2. Create a master volume with 2 nodes.
3. Create a geo rep session.
4. Try to Pause the geo rep session.

Actual results:
Unable to pause georep session

Expected results:
georep session should be paused successfully

Additional info:

[2015-07-06 05:31:23.751865] E [glusterd-op-sm.c:254:glusterd_get_txn_opinfo] (--> 0-management: Unable to get transaction opinfo for transaction ID : d6d23c5d-efe1-4c48-b7b1-6a43e9f6a622
[2015-07-06 05:31:25.066529] I [MSGID: 106327] [glusterd-geo-rep.c:2180:glusterd_get_statefile_name] 0-management: Using passed config template(/var/lib/glusterd/geo-replication/vol1_10.70.46.129_vol1_slave1/gsyncd.conf).
[2015-07-06 05:31:25.408344] E [MSGID: 106308] [glusterd-geo-rep.c:1840:glusterd_op_verify_gsync_running] 0-management: geo-replication session b/w vol1 & 10.70.46.129::vol1_slave1 is not running on this node.
[2015-07-06 05:31:25.408464] E [MSGID: 106301] [glusterd-op-sm.c:5088:glusterd_op_ac_stage_op] 0-management: Stage failed on operation 'Volume Geo-replication', Status : -1

Comment 5 Kotresh HR 2015-07-07 11:02:10 UTC
Upstream Patch:
http://review.gluster.org/#/c/11549/

Comment 6 Kotresh HR 2015-07-07 12:11:00 UTC
Upstream Patch (master):
http://review.gluster.org/#/c/11549/

Upstream Patch (3.7):
http://review.gluster.org/#/c/11564/

Downstream Patch:
https://code.engineering.redhat.com/gerrit/#/c/52479/

Comment 7 Rahul Hinduja 2015-07-13 09:41:54 UTC
Verified with build: glusterfs-3.7.1-9.el6rhs.x86_64

Able to pause the geo-rep session. Moving this bug as verified.

Comment 10 Bhavana 2015-07-25 09:54:03 UTC
Hi Vijai,

The doc text is updated. Please review the same and share your technical review comments. If it looks ok, then sign-off on the same.

Regards,
Bhavana

Comment 11 Kotresh HR 2015-07-27 05:19:53 UTC
Doc text looks good.

Comment 12 errata-xmlrpc 2015-07-29 05:09:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.